/* Midi address dumper - requires roland manual
 *
 * Juno Gi Editor
 *
 * Copyright (C) 2012 Kim Taylor <kmtaylor@gmx.com>
 *
 *	This program is free software; you can redistribute it and/or modify it
 *	under the terms of the GNU General Public License as published by the
 *	Free Software Foundation version 2 of the License.
 * 
 *	This program is distributed in the hope that it will be useful, but
 *	WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *	General Public License for more details.
 * 
 *	You should have received a copy of the GNU General Public License along
 *	with this program; if not, write to the Free Software Foundation, Inc.,
 *	675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: class_map.c,v 1.3 2012/06/07 14:33:33 kmtaylor Exp $
 */


#include <stdio.h>
#include "midi_tree.h"

struct s_class_map class_map[] = {
        { .parent_name = "TOPLEVEL",
          .child_names = (const char * [])
		{ "Setup",				"Setup",
		  "System",				"System",
		  "Solo Synth",				"Solo Synth",
		  "Temporary Live Set",			"Live Set",
		  "Temporary Studio Set",		"Studio Set",
                  "User Live Set (0001)",               "Live Set",
                  "User Live Set (0002)",               "Live Set",
                  "User Live Set (0003)",               "Live Set",
                  "User Live Set (0004)",               "Live Set",
                  "User Live Set (0005)",               "Live Set",
                  "User Live Set (0006)",               "Live Set",
                  "User Live Set (0007)",               "Live Set",
                  "User Live Set (0008)",               "Live Set",
                  "User Live Set (0009)",               "Live Set",
                  "User Live Set (0010)",               "Live Set",
                  "User Live Set (0011)",               "Live Set",
                  "User Live Set (0012)",               "Live Set",
                  "User Live Set (0013)",               "Live Set",
                  "User Live Set (0014)",               "Live Set",
                  "User Live Set (0015)",               "Live Set",
                  "User Live Set (0016)",               "Live Set",
                  "User Live Set (0017)",               "Live Set",
                  "User Live Set (0018)",               "Live Set",
                  "User Live Set (0019)",               "Live Set",
                  "User Live Set (0020)",               "Live Set",
                  "User Live Set (0021)",               "Live Set",
                  "User Live Set (0022)",               "Live Set",
                  "User Live Set (0023)",               "Live Set",
                  "User Live Set (0024)",               "Live Set",
                  "User Live Set (0025)",               "Live Set",
                  "User Live Set (0026)",               "Live Set",
                  "User Live Set (0027)",               "Live Set",
                  "User Live Set (0028)",               "Live Set",
                  "User Live Set (0029)",               "Live Set",
                  "User Live Set (0030)",               "Live Set",
                  "User Live Set (0031)",               "Live Set",
                  "User Live Set (0032)",               "Live Set",
                  "User Live Set (0033)",               "Live Set",
                  "User Live Set (0034)",               "Live Set",
                  "User Live Set (0035)",               "Live Set",
                  "User Live Set (0036)",               "Live Set",
                  "User Live Set (0037)",               "Live Set",
                  "User Live Set (0038)",               "Live Set",
                  "User Live Set (0039)",               "Live Set",
                  "User Live Set (0040)",               "Live Set",
                  "User Live Set (0041)",               "Live Set",
                  "User Live Set (0042)",               "Live Set",
                  "User Live Set (0043)",               "Live Set",
                  "User Live Set (0044)",               "Live Set",
                  "User Live Set (0045)",               "Live Set",
                  "User Live Set (0046)",               "Live Set",
                  "User Live Set (0047)",               "Live Set",
                  "User Live Set (0048)",               "Live Set",
                  "User Live Set (0049)",               "Live Set",
                  "User Live Set (0050)",               "Live Set",
                  "User Live Set (0051)",               "Live Set",
                  "User Live Set (0052)",               "Live Set",
                  "User Live Set (0053)",               "Live Set",
                  "User Live Set (0054)",               "Live Set",
                  "User Live Set (0055)",               "Live Set",
                  "User Live Set (0056)",               "Live Set",
                  "User Live Set (0057)",               "Live Set",
                  "User Live Set (0058)",               "Live Set",
                  "User Live Set (0059)",               "Live Set",
                  "User Live Set (0060)",               "Live Set",
                  "User Live Set (0061)",               "Live Set",
                  "User Live Set (0062)",               "Live Set",
                  "User Live Set (0063)",               "Live Set",
                  "User Live Set (0064)",               "Live Set",
                  "User Live Set (0065)",               "Live Set",
                  "User Live Set (0066)",               "Live Set",
                  "User Live Set (0067)",               "Live Set",
                  "User Live Set (0068)",               "Live Set",
                  "User Live Set (0069)",               "Live Set",
                  "User Live Set (0070)",               "Live Set",
                  "User Live Set (0071)",               "Live Set",
                  "User Live Set (0072)",               "Live Set",
                  "User Live Set (0073)",               "Live Set",
                  "User Live Set (0074)",               "Live Set",
                  "User Live Set (0075)",               "Live Set",
                  "User Live Set (0076)",               "Live Set",
                  "User Live Set (0077)",               "Live Set",
                  "User Live Set (0078)",               "Live Set",
                  "User Live Set (0079)",               "Live Set",
                  "User Live Set (0080)",               "Live Set",
                  "User Live Set (0081)",               "Live Set",
                  "User Live Set (0082)",               "Live Set",
                  "User Live Set (0083)",               "Live Set",
                  "User Live Set (0084)",               "Live Set",
                  "User Live Set (0085)",               "Live Set",
                  "User Live Set (0086)",               "Live Set",
                  "User Live Set (0087)",               "Live Set",
                  "User Live Set (0088)",               "Live Set",
                  "User Live Set (0089)",               "Live Set",
                  "User Live Set (0090)",               "Live Set",
                  "User Live Set (0091)",               "Live Set",
                  "User Live Set (0092)",               "Live Set",
                  "User Live Set (0093)",               "Live Set",
                  "User Live Set (0094)",               "Live Set",
                  "User Live Set (0095)",               "Live Set",
                  "User Live Set (0096)",               "Live Set",
                  "User Live Set (0097)",               "Live Set",
                  "User Live Set (0098)",               "Live Set",
                  "User Live Set (0099)",               "Live Set",
                  "User Live Set (0100)",               "Live Set",
                  "User Live Set (0101)",               "Live Set",
                  "User Live Set (0102)",               "Live Set",
                  "User Live Set (0103)",               "Live Set",
                  "User Live Set (0104)",               "Live Set",
                  "User Live Set (0105)",               "Live Set",
                  "User Live Set (0106)",               "Live Set",
                  "User Live Set (0107)",               "Live Set",
                  "User Live Set (0108)",               "Live Set",
                  "User Live Set (0109)",               "Live Set",
                  "User Live Set (0110)",               "Live Set",
                  "User Live Set (0111)",               "Live Set",
                  "User Live Set (0112)",               "Live Set",
                  "User Live Set (0113)",               "Live Set",
                  "User Live Set (0114)",               "Live Set",
                  "User Live Set (0115)",               "Live Set",
                  "User Live Set (0116)",               "Live Set",
                  "User Live Set (0117)",               "Live Set",
                  "User Live Set (0118)",               "Live Set",
                  "User Live Set (0119)",               "Live Set",
                  "User Live Set (0120)",               "Live Set",
                  "User Live Set (0121)",               "Live Set",
                  "User Live Set (0122)",               "Live Set",
                  "User Live Set (0123)",               "Live Set",
                  "User Live Set (0124)",               "Live Set",
                  "User Live Set (0125)",               "Live Set",
                  "User Live Set (0126)",               "Live Set",
                  "User Live Set (0127)",               "Live Set",
                  "User Live Set (0128)",               "Live Set",
                  "User Live Set (0129)",               "Live Set",
                  "User Live Set (0130)",               "Live Set",
                  "User Live Set (0131)",               "Live Set",
                  "User Live Set (0132)",               "Live Set",
                  "User Live Set (0133)",               "Live Set",
                  "User Live Set (0134)",               "Live Set",
                  "User Live Set (0135)",               "Live Set",
                  "User Live Set (0136)",               "Live Set",
                  "User Live Set (0137)",               "Live Set",
                  "User Live Set (0138)",               "Live Set",
                  "User Live Set (0139)",               "Live Set",
                  "User Live Set (0140)",               "Live Set",
                  "User Live Set (0141)",               "Live Set",
                  "User Live Set (0142)",               "Live Set",
                  "User Live Set (0143)",               "Live Set",
                  "User Live Set (0144)",               "Live Set",
                  "User Live Set (0145)",               "Live Set",
                  "User Live Set (0146)",               "Live Set",
                  "User Live Set (0147)",               "Live Set",
                  "User Live Set (0148)",               "Live Set",
                  "User Live Set (0149)",               "Live Set",
                  "User Live Set (0150)",               "Live Set",
                  "User Live Set (0151)",               "Live Set",
                  "User Live Set (0152)",               "Live Set",
                  "User Live Set (0153)",               "Live Set",
                  "User Live Set (0154)",               "Live Set",
                  "User Live Set (0155)",               "Live Set",
                  "User Live Set (0156)",               "Live Set",
                  "User Live Set (0157)",               "Live Set",
                  "User Live Set (0158)",               "Live Set",
                  "User Live Set (0159)",               "Live Set",
                  "User Live Set (0160)",               "Live Set",
                  "User Live Set (0161)",               "Live Set",
                  "User Live Set (0162)",               "Live Set",
                  "User Live Set (0163)",               "Live Set",
                  "User Live Set (0164)",               "Live Set",
                  "User Live Set (0165)",               "Live Set",
                  "User Live Set (0166)",               "Live Set",
                  "User Live Set (0167)",               "Live Set",
                  "User Live Set (0168)",               "Live Set",
                  "User Live Set (0169)",               "Live Set",
                  "User Live Set (0170)",               "Live Set",
                  "User Live Set (0171)",               "Live Set",
                  "User Live Set (0172)",               "Live Set",
                  "User Live Set (0173)",               "Live Set",
                  "User Live Set (0174)",               "Live Set",
                  "User Live Set (0175)",               "Live Set",
                  "User Live Set (0176)",               "Live Set",
                  "User Live Set (0177)",               "Live Set",
                  "User Live Set (0178)",               "Live Set",
                  "User Live Set (0179)",               "Live Set",
                  "User Live Set (0180)",               "Live Set",
                  "User Live Set (0181)",               "Live Set",
                  "User Live Set (0182)",               "Live Set",
                  "User Live Set (0183)",               "Live Set",
                  "User Live Set (0184)",               "Live Set",
                  "User Live Set (0185)",               "Live Set",
                  "User Live Set (0186)",               "Live Set",
                  "User Live Set (0187)",               "Live Set",
                  "User Live Set (0188)",               "Live Set",
                  "User Live Set (0189)",               "Live Set",
                  "User Live Set (0190)",               "Live Set",
                  "User Live Set (0191)",               "Live Set",
                  "User Live Set (0192)",               "Live Set",
                  "User Live Set (0193)",               "Live Set",
                  "User Live Set (0194)",               "Live Set",
                  "User Live Set (0195)",               "Live Set",
                  "User Live Set (0196)",               "Live Set",
                  "User Live Set (0197)",               "Live Set",
                  "User Live Set (0198)",               "Live Set",
                  "User Live Set (0199)",               "Live Set",
                  "User Live Set (0200)",               "Live Set",
                  "User Live Set (0201)",               "Live Set",
                  "User Live Set (0202)",               "Live Set",
                  "User Live Set (0203)",               "Live Set",
                  "User Live Set (0204)",               "Live Set",
                  "User Live Set (0205)",               "Live Set",
                  "User Live Set (0206)",               "Live Set",
                  "User Live Set (0207)",               "Live Set",
                  "User Live Set (0208)",               "Live Set",
                  "User Live Set (0209)",               "Live Set",
                  "User Live Set (0210)",               "Live Set",
                  "User Live Set (0211)",               "Live Set",
                  "User Live Set (0212)",               "Live Set",
                  "User Live Set (0213)",               "Live Set",
                  "User Live Set (0214)",               "Live Set",
                  "User Live Set (0215)",               "Live Set",
                  "User Live Set (0216)",               "Live Set",
                  "User Live Set (0217)",               "Live Set",
                  "User Live Set (0218)",               "Live Set",
                  "User Live Set (0219)",               "Live Set",
                  "User Live Set (0220)",               "Live Set",
                  "User Live Set (0221)",               "Live Set",
                  "User Live Set (0222)",               "Live Set",
                  "User Live Set (0223)",               "Live Set",
                  "User Live Set (0224)",               "Live Set",
                  "User Live Set (0225)",               "Live Set",
                  "User Live Set (0226)",               "Live Set",
                  "User Live Set (0227)",               "Live Set",
                  "User Live Set (0228)",               "Live Set",
                  "User Live Set (0229)",               "Live Set",
                  "User Live Set (0230)",               "Live Set",
                  "User Live Set (0231)",               "Live Set",
                  "User Live Set (0232)",               "Live Set",
                  "User Live Set (0233)",               "Live Set",
                  "User Live Set (0234)",               "Live Set",
                  "User Live Set (0235)",               "Live Set",
                  "User Live Set (0236)",               "Live Set",
                  "User Live Set (0237)",               "Live Set",
                  "User Live Set (0238)",               "Live Set",
                  "User Live Set (0239)",               "Live Set",
                  "User Live Set (0240)",               "Live Set",
                  "User Live Set (0241)",               "Live Set",
                  "User Live Set (0242)",               "Live Set",
                  "User Live Set (0243)",               "Live Set",
                  "User Live Set (0244)",               "Live Set",
                  "User Live Set (0245)",               "Live Set",
                  "User Live Set (0246)",               "Live Set",
                  "User Live Set (0247)",               "Live Set",
                  "User Live Set (0248)",               "Live Set",
                  "User Live Set (0249)",               "Live Set",
                  "User Live Set (0250)",               "Live Set",
                  "User Live Set (0251)",               "Live Set",
                  "User Live Set (0252)",               "Live Set",
                  "User Live Set (0253)",               "Live Set",
                  "User Live Set (0254)",               "Live Set",
                  "User Live Set (0255)",               "Live Set",
                  "User Live Set (0256)",               "Live Set",
		  NULL
		}
        },
        { .parent_name = "System",
          .child_names = (const char * [])
		{ "System Common",			"System Common",
		  "System Mastering",			"System Mastering",
		  "System Controller",			"System Controller",
		  NULL
		}
        },
        { .parent_name = "Live Set",
          .child_names = (const char * [])
		{ "Live Set Common MFX1",		"Live Set Common MFX",
                  "Live Set Common Chorus",	    "Live Set Common Chorus",
                  "Live Set Common Reverb",	    "Live Set Common Reverb",
                  "Live Set Common MFX2",               "Live Set Common MFX",
		  "Live Set Common",			"Live Set Common",
                  "Live Set Layer (Layer 1)",		"Live Set Layer",
                  "Live Set Layer (Layer 2)",           "Live Set Layer",
                  "Live Set Layer (Layer 3)",           "Live Set Layer",
                  "Live Set Layer (Layer 4)",           "Live Set Layer",
                  "Live Set Tone Offset (Layer 1)",	"Live Set Tone Offset",
                  "Live Set Tone Offset (Layer 2)",     "Live Set Tone Offset",
                  "Live Set Tone Offset (Layer 3)",     "Live Set Tone Offset",
                  "Live Set Tone Offset (Layer 4)",     "Live Set Tone Offset",
                  "Live Set Controller",		"Live Set Controller",
		  NULL
		}
        },
        { .parent_name = "Studio Set",
          .child_names = (const char * [])
                { "Studio Set Common Chorus",	    "Studio Set Common Chorus",
                  "Studio Set Common Reverb",	    "Studio Set Common Reverb",
                  "Studio Set Common",			"Studio Set Common",
                  "Studio Set MIDI (Channel 1)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 2)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 3)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 4)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 5)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 6)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 7)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 8)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 9)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 10)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 11)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 12)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 13)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 14)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 15)",	"Studio Set MIDI",
                  "Studio Set MIDI (Channel 16)",	"Studio Set MIDI",
                  "Studio Set Part (Part 1)",           "Studio Set Part",
                  "Studio Set Part (Part 2)",           "Studio Set Part",
                  "Studio Set Part (Part 3)",           "Studio Set Part",
                  "Studio Set Part (Part 4)",           "Studio Set Part",
                  "Studio Set Part (Part 5)",           "Studio Set Part",
                  "Studio Set Part (Part 6)",           "Studio Set Part",
                  "Studio Set Part (Part 7)",           "Studio Set Part",
                  "Studio Set Part (Part 8)",           "Studio Set Part",
                  "Studio Set Part (Part 9)",           "Studio Set Part",
                  "Studio Set Part (Part 10)",          "Studio Set Part",
                  "Studio Set Part (Part 11)",          "Studio Set Part",
                  "Studio Set Part (Part 12)",          "Studio Set Part",
                  "Studio Set Part (Part 13)",          "Studio Set Part",
                  "Studio Set Part (Part 14)",          "Studio Set Part",
                  "Studio Set Part (Part 15)",          "Studio Set Part",
                  "Studio Set Part (Part 16)",          "Studio Set Part",
                  "Studio Set Tone Offset (Part 1)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 2)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 3)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 4)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 5)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 6)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 7)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 8)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 9)",  "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 10)", "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 11)", "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 12)", "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 13)", "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 14)", "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 15)", "Studio Set Tone Offset",
                  "Studio Set Tone Offset (Part 16)", "Studio Set Tone Offset",
		  NULL
		}
        },
        { .parent_name = "Synth Tone",
          .child_names = (const char * [])
		{ "Synth Tone Common",			"Tone Common",
		  "Synth Tone Partial (1)",		"Tone Partial",
		  "Synth Tone Partial (2)",             "Tone Partial",
		  "Synth Tone Partial (3)",             "Tone Partial",
		  NULL
		}
        },
	{ NULL }
};
